#!/usr/bin/env node
import r from "yargs";
import { hideBin as a } from "yargs/helpers";
import { handler as i } from "./handler.mjs";
import o from "chalk";
import { getVersion as n } from "./utils/packageInfo.mjs";
import { projectNameForm as l, templateChoices as m, templateForm as c, saveGitHistoryForm as p, shallowCloneForm as g } from "./utils/question.mjs";
const d = () => ({
  projectName: {
    type: "string",
    alias: "p",
    describe: l.message
  },
  template: {
    type: "string",
    alias: "t",
    choices: m.map((e) => e.name),
    describe: c.message
  },
  saveGitHistory: {
    type: "boolean",
    alias: "s",
    describe: p.message
  },
  shallowClone: {
    type: "boolean",
    alias: "c",
    describe: g.message,
    default: !0
  }
}), h = (e, s) => {
  console.log(e ? o.red(e) : o.red(s.message)), process.exit(1);
}, f = "Usage: $0 [options]", v = (e, s) => {
  const t = d();
  return e.strict().usage(s).help("help").version(n()).alias("v", "version").alias("h", "help").options(t).fail(h).argv;
}, H = async () => {
  const e = r(a(process.argv)), s = await v(e, f);
  return i(s);
};
export {
  H as createCli
};
