import type { PromptObject } from "prompts";
/** 模版选项 */
export interface TemplateChoiceItem {
    name: string;
    url?: string;
}
/** 获取模版选项 */
export declare const getTemplateList: () => TemplateChoiceItem[];
/** 模版选项 */
export declare const templateChoices: TemplateChoiceItem[];
export declare const projectNameForm: PromptObject<string>;
export declare const templateForm: PromptObject<string>;
export declare const saveGitHistoryForm: {
    type: "confirm";
    name: string;
    message: string;
};
export declare const shallowCloneForm: {
    type: "confirm";
    name: string;
    message: string;
};
